> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Scra Search



## OpenAPI

````yaml /api-reference/openapi.json post /scra/searches
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /scra/searches:
    post:
      tags:
        - SCRA & MLA
      summary: Scra Search
      operationId: scra_search_scra_searches_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1.SCRASearchRequest'
          application/vnd.baselayer.v1+json:
            schema:
              $ref: '#/components/schemas/v1.SCRASearchRequest'
        required: true
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.SCRAResponse'
            application/vnd.baselayer.v1+json:
              schema:
                $ref: '#/components/schemas/v1.SCRAResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.SCRASearchRequest:
      additionalProperties: false
      properties:
        parse_permutate_options:
          anyOf:
            - $ref: '#/components/schemas/v1.ParsePermutateOptions'
            - type: 'null'
          default: null
          description: Name parsing and permutation settings
        certificate:
          default: false
          description: >-
            Indicates if DMDC certificate should be included in response. 
            Defaults to False
          title: Certificate
          type: boolean
        reference_id:
          anyOf:
            - maxLength: 128
              type: string
            - type: 'null'
          default: null
          description: An optional reference ID to associate with the search request.
          examples:
            - Search1234
          title: Reference Id
        first_name:
          description: The first name of the person of interest
          maxLength: 20
          title: First Name
          type: string
        last_name:
          description: The last name of the person of interest
          pattern: ^[A-Za-z \-\'\s]*$
          title: Last Name
          type: string
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The middle name of the person of interest
          title: Middle Name
        birth_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          default: null
          description: >-
            The birth date of the person of interest. No dates before 1900-01-01
            or in the future
          title: Birth Date
        ssn:
          type: string
          format: password
          title: Ssn
          description: The social security number of the person of interest
          writeOnly: true
        date_of_interest:
          default: '2026-08-31'
          description: >-
            The date queried to determine the status of the individual; to check
            whether the individual was actively serving, received a notice to
            serve, or was serving 367 days prior to the given date, or not. Date
            must be on or after 1985-09-30 and cannot be a future date.  Default
            to today.
          format: date
          title: Date Of Interest
          type: string
      required:
        - first_name
        - last_name
        - ssn
      title: SCRASearchRequest (v1)
      type: object
    v1.SCRAResponse:
      properties:
        reference_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The reference ID associated with the search.
          examples:
            - Search1234
          title: Reference Id
        covered:
          description: >-
            This indicates if any of the searches performed contained SCRA
            coverage
          title: Covered
          type: boolean
        results:
          anyOf:
            - items:
                $ref: '#/components/schemas/v1.SCRAResponseResult'
              type: array
            - type: 'null'
          default: null
          description: List of SCRA search results
          title: Results
        created_at:
          description: The datetime when the SCRA request was made
          format: date-time
          readOnly: true
          title: Created At
          type: string
      required:
        - covered
        - created_at
      title: SCRAResponse
      type: object
    v1.ParsePermutateOptions:
      properties:
        keep_original:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Allows original name to be searched even in case of name containing
            known words along with any name variations generated
          title: Keep Original
        first_name_remove_list:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: CSV list of string values to remove from first name
          title: First Name Remove List
        last_name_remove_list:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: CSV list of string values to remove from last name
          title: Last Name Remove List
        middle_name_parse:
          anyOf:
            - $ref: '#/components/schemas/v1.MiddleNameParse'
            - type: 'null'
          default: null
        force_hyphen:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Generates additional name variations only on two part last names
            delimited by a spaces replacing the space with a hyphen
          title: Force Hyphen
        include_suffix:
          anyOf:
            - $ref: '#/components/schemas/v1.IncludeSuffix'
            - type: 'null'
          default: null
        parse_prefix:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Attempts to locate and remove Prefix out of the first name
          title: Parse Prefix
        parse_suffix:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Attempts to locate and remove Suffix out of the last name
          title: Parse Suffix
        max_permutation_count:
          anyOf:
            - type: integer
            - type: 'null'
          default: 50
          description: Sets maximum amount of permutations. Default is 50
          title: Max Permutation Count
        merge_name_parts:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Merges compound name parts into a single name. Merging occurs on any
            number of name parts provided
          title: Merge Name Parts
        mixed_case_split:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Mixed Case Split
        suppress_hyphen_parse:
          anyOf:
            - $ref: '#/components/schemas/v1.SuppressHyphenParse'
            - type: 'null'
          default: null
        toggle_middle_name:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Ability to generate name variations with/without middle name
          title: Toggle Middle Name
        toggle_primary_name:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Ability to generate name variations with/without first name
          title: Toggle Primary Name
        transpose:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Transposes name parts to generate all unique variations. Transposing
            occurs on any number of name parts provided
          title: Transpose
        validate_permutation_count:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Validate Permutation Count
        remove_nobiliary_participle:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Remove Nobiliary Participle
        parse_model:
          anyOf:
            - $ref: '#/components/schemas/v1.ParseModel'
            - type: 'null'
          default: null
      title: ParsePermutateOptions
      type: object
    v1.SCRAResponseResult:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: DMDC TransactionID
          title: Id
        person_request:
          $ref: '#/components/schemas/v1.SCRAResponsePerson'
        eligibility:
          $ref: '#/components/schemas/v1.SCRAResponseEligibility'
      required:
        - person_request
        - eligibility
      title: SCRAResponseResult
      type: object
    v1.MiddleNameParse:
      enum:
        - None
        - Share
        - ShareMerge
        - AppendMiddleInitial
        - AppendMiddleInitialAll
      title: MiddleNameParse
      type: string
    v1.IncludeSuffix:
      enum:
        - None
        - OriginalOnly
        - All
      title: IncludeSuffix
      type: string
    v1.SuppressHyphenParse:
      enum:
        - Never
        - MultipleOnly
        - Always
      title: SuppressHyphenParse
      type: string
    v1.ParseModel:
      enum:
        - NameSegmentParse
        - None
      title: ParseModel
      type: string
    v1.SCRAResponsePerson:
      properties:
        pn_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Either a social security number (SSN) or an individual taxpayer
            identification number (ITIN)
          title: Pn Id
        pn_id_confirmation:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Pn Id Confirmation
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The first name of the person of interest as provided in the request
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The last name of the person of interest as provided in the request
          title: Last Name
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The middle name of the person of interest as provided in the request
          title: Middle Name
        date_of_birth:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: >-
            The date of birth of the person of interest as provided in the
            request
          title: Date Of Birth
        active_duty_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: >-
            This is the active duty status as of the date provided in the
            request
          title: Active Duty Date
        cadency_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Cadency Name
        batch_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Batch Id
      title: SCRAResponsePerson
      type: object
    v1.SCRAResponseEligibility:
      properties:
        covered:
          description: >-
            This indicates if the person was on active duty on the active duty
            status date
          title: Covered
          type: boolean
        transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: DMDC TransactionID / CertificateID
          title: Transaction Id
        content:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Base64 content of DMDC Certificate
          title: Content
        date_of_interest:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          title: Date Of Interest
        active_duty_covered:
          description: >-
            This indicates if the person was on active duty on the active duty
            status date
          title: Active Duty Covered
          type: boolean
        active_duty_start_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: The date the servicemember entered active duty
          title: Active Duty Start Date
        active_duty_end_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: The date the servicemember ended active duty
          title: Active Duty End Date
        active_duty_service_component_code:
          anyOf:
            - $ref: '#/components/schemas/v1.DepartmentOfDefensePositionCode'
            - type: 'null'
          default: null
          description: >-
            The code used by the DoD that identifies the service position of the
            servicemember
        active_duty_service_component_string:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Active Duty Service Component String
        early_indication_covered:
          title: Early Indication Covered
          type: boolean
        early_indication_start_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: The start date of the order notification
          title: Early Indication Start Date
        early_indication_end_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: The end date of the order notification
          title: Early Indication End Date
        early_indication_service_component_code:
          anyOf:
            - $ref: '#/components/schemas/v1.DepartmentOfDefensePositionCode'
            - type: 'null'
          default: null
          description: >-
            The code used by the DoD that identifies the service position of the
            servicemember
        early_indication_service_component_string:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Early Indication Service Component String
        hera_covered:
          description: >-
            This indicates if the person left active duty within 367 days prior
            to the active duty
          title: Hera Covered
          type: boolean
        hera_start_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: The date the servicemember entered active duty
          title: Hera Start Date
        hera_end_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: The date the servicemember left active duty
          title: Hera End Date
        hera_service_component_code:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Hera Service Component Code
        hera_service_component_string:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Hera Service Component String
        active_duty_indicator_code:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Active Duty Indicator Code
        match_reason_code:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Matching code for search
          title: Match Reason Code
        scra_eligibility_type:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Scra Eligibility Type
      required:
        - covered
        - active_duty_covered
        - early_indication_covered
        - hera_covered
      title: SCRAResponseEligibility
      type: object
    v1.DepartmentOfDefensePositionCode:
      enum:
        - AG
        - AJ
        - AR
        - AV
        - AZ
        - CJ
        - CR
        - CV
        - CZ
        - FG
        - FJ
        - FR
        - FV
        - HR
        - MR
        - MV
        - MZ
        - NJ
        - NR
        - NV
        - OR
        - SR
        - SV
        - ZZ
      title: DepartmentOfDefensePositionCode
      type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````